package com.example.nto.service;

import com.example.nto.model.dto.EmployeeDTO;
import com.example.nto.model.entity.Employee;
import com.example.nto.model.entity.Entry;
import org.springframework.security.core.userdetails.UserDetails;

import java.util.List;

public interface EmployeeService {

    EmployeeDTO getEmployeeDTO(String login, String recipientLogin);

    void updateVisit(Entry entry);

    void addEmployee(Employee employee);

    void banEmployee(String login);

    void unbanEmployee(String login);

    void addEntry(Entry entry);

    List<Entry> getAllEntriesByLogin(String login, final String recipientLogin);

}
